<?php
namespace vesdk;

class Template extends Base
{
    const TEMPLATE_LIST_API = "/render/pub/template/list";
    const BALANCE_CHECK_API = "/render/pub/template/balance";
    const TEMPLATE_CATEGORY = "/render/pub/template/category";
    const TEMPLATE_DETAIL = "/render/pub/template/detail";

    public function getList()
    {
        return $this->post([], self::TEMPLATE_LIST_API);
    }

    public function getBalance()
    {
        return $this->post([], self::BALANCE_CHECK_API);
    }

    public function getCategory()
    {
        return $this->post([], self::TEMPLATE_CATEGORY);
    }

    public function getDetail($id)
    {
        return $this->post(["id" => $id], self::TEMPLATE_DETAIL);
    }
}
